Bug 491874 - FEAT: btrfs support in RHEL6
Summary: FEAT: btrfs support in RHEL6
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: btrfs-progs   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Josef Bacik
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Keywords: FutureFeature, Reopened, TechPreview, Triaged
Depends On:
Blocks: 391521 614121 846170 852978
TreeView+ depends on / blocked
 
Reported: 2009-03-24 14:09 UTC by Josef Bacik
Modified: 2018-10-27 12:27 UTC (History)
9 users (show)

Fixed In Version: btrfs-progs-0.19-10.el6
Doc Type: Technology Preview
Doc Text:
Story Points: ---
Clone Of:
: 614121 (view as bug list)
Environment:
Last Closed: 2010-07-13 16:24:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josef Bacik 2009-03-24 14:09:30 UTC
Description of problem:
Btrfs is a next generation linux filesystem that is currently under heavy development.  Several existing and planned features are

    *  Extent based file storage (2^64 max file size)
    * Space efficient packing of small files
    * Space efficient indexed directories
    * Dynamic inode allocation
    * Writable snapshots
    * Subvolumes (separate internal filesystem roots)
    * Object level mirroring and striping
    * Checksums on data and metadata (multiple algorithms available)
    * Compression
    * Integrated multiple device support, with several raid algorithms
    * Online filesystem check
    * Very fast offline filesystem check
    * Efficient incremental backup and FS mirroring
    * Online filesystem defragmentation 

Probably best to shoot for Tech-Preview for the GA release.

Comment 17 releng-rhel@redhat.com 2010-07-02 18:53:59 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.